par="scenario"
mkdir -p "$par"  
echo "# beta density collision" > "collision.txt"

for density in 10000; do
	echo ""
	echo "Running ${par} with density=${density}"
	echo "----------------------------------------"

	echo "	collision, reception, transmission, recepetion at Des"
	
    for defaultCommRange_nm in 285000 350000 450000 500000; do

        dir="${par}"
        mkdir -p "$dir"
        cp scenario.xml "${dir}/scenario.xml"

	
	sed -i 's/defaultCommRange_nm="[0-9]\+"/defaultCommRange_nm="'${defaultCommRange_nm}'"/g' ${dir}/scenario.xml
	bitsimulator --genericNodesCount "$density">/dev/null 2>&1 ${dir}/scenario.xml
	
        res=$(awk -f bash.awk "events.log")

        echo "${defaultCommRange_nm} ${density} \t ${res}" >> "collision.txt"
        echo "for communication range=${defaultCommRange_nm} : ${res}"

    done
done

