par="scenario"
mkdir -p "$par"  
echo "# beta density collision" > "collision.txt"

for density in 10000 20000 30000 40000; do
	echo ""
	echo "Running ${par} with density=${density}"
	echo "----------------------------------------"

	echo "collision, reception, transmission, recepetion at Des"
	

        dir="${par}"
        mkdir -p "$dir" 
        cp scenario.xml "${dir}/scenario.xml"


	bitsimulator --genericNodesCount "$density">/dev/null 2>&1 ${dir}/scenario.xml
	
        res=$(awk -f bash.awk "events.log")

        echo "${beta} ${density} \t ${res}" >> "collision.txt"
	
        echo "${res}"

    done
done

